<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::GameEngine Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1GameEngine.html">GameEngine</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1GameEngine-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::GameEngine Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="GameEngine_8hpp_source.html">GameEngine.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a674fec65e7cc736d53b80a62149ccb5a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#a674fec65e7cc736d53b80a62149ccb5a">Init</a> ()</td></tr>
<tr class="memdesc:a674fec65e7cc736d53b80a62149ccb5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes game engine.  <a href="classgg_1_1GameEngine.html#a674fec65e7cc736d53b80a62149ccb5a">More...</a><br /></td></tr>
<tr class="separator:a674fec65e7cc736d53b80a62149ccb5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080186cb7aba33d72ffe3591dc076742"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#a080186cb7aba33d72ffe3591dc076742">Destroy</a> ()</td></tr>
<tr class="memdesc:a080186cb7aba33d72ffe3591dc076742"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deinitializes game engine.  <a href="classgg_1_1GameEngine.html#a080186cb7aba33d72ffe3591dc076742">More...</a><br /></td></tr>
<tr class="separator:a080186cb7aba33d72ffe3591dc076742"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c2d2187296c29983a4583e98597637a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#a0c2d2187296c29983a4583e98597637a">ChangeState</a> (GameState *state)</td></tr>
<tr class="memdesc:a0c2d2187296c29983a4583e98597637a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove current state and change it to state provided as the argument.  <a href="classgg_1_1GameEngine.html#a0c2d2187296c29983a4583e98597637a">More...</a><br /></td></tr>
<tr class="separator:a0c2d2187296c29983a4583e98597637a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5876ec21d7676e824973beae3101ed3b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#a5876ec21d7676e824973beae3101ed3b">PushState</a> (GameState *state)</td></tr>
<tr class="memdesc:a5876ec21d7676e824973beae3101ed3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pushes state on top of the stack of states and makes it an active state.  <a href="classgg_1_1GameEngine.html#a5876ec21d7676e824973beae3101ed3b">More...</a><br /></td></tr>
<tr class="separator:a5876ec21d7676e824973beae3101ed3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabd0a746f0479397458cb025c2b7207d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#aabd0a746f0479397458cb025c2b7207d">PopState</a> ()</td></tr>
<tr class="memdesc:aabd0a746f0479397458cb025c2b7207d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes current state.  <a href="classgg_1_1GameEngine.html#aabd0a746f0479397458cb025c2b7207d">More...</a><br /></td></tr>
<tr class="separator:aabd0a746f0479397458cb025c2b7207d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2fd746ff3c3426861968289d2ac9bb0"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#af2fd746ff3c3426861968289d2ac9bb0">CurrentState</a> () -&gt; GameState *</td></tr>
<tr class="memdesc:af2fd746ff3c3426861968289d2ac9bb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns state that is currently active.  <a href="classgg_1_1GameEngine.html#af2fd746ff3c3426861968289d2ac9bb0">More...</a><br /></td></tr>
<tr class="separator:af2fd746ff3c3426861968289d2ac9bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa9e36edde0d2dc1f47da6f3ec970468"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#afa9e36edde0d2dc1f47da6f3ec970468">PreviousState</a> () -&gt; GameState *</td></tr>
<tr class="memdesc:afa9e36edde0d2dc1f47da6f3ec970468"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns state that was active before currently active state.  <a href="classgg_1_1GameEngine.html#afa9e36edde0d2dc1f47da6f3ec970468">More...</a><br /></td></tr>
<tr class="separator:afa9e36edde0d2dc1f47da6f3ec970468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad88dee00a8684a67020f53e57fa2d126"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#ad88dee00a8684a67020f53e57fa2d126">Update</a> ()</td></tr>
<tr class="separator:ad88dee00a8684a67020f53e57fa2d126"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc0e937275f5dd88fcd5a45e42e058a5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameEngine.html#acc0e937275f5dd88fcd5a45e42e058a5">Render</a> (sf::RenderTarget &amp;target, sf::RenderStates states)</td></tr>
<tr class="separator:acc0e937275f5dd88fcd5a45e42e058a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0c2d2187296c29983a4583e98597637a" name="a0c2d2187296c29983a4583e98597637a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c2d2187296c29983a4583e98597637a">&#9670;&nbsp;</a></span>ChangeState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::ChangeState </td>
          <td>(</td>
          <td class="paramtype">GameState *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Remove current state and change it to state provided as the argument. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af2fd746ff3c3426861968289d2ac9bb0" name="af2fd746ff3c3426861968289d2ac9bb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2fd746ff3c3426861968289d2ac9bb0">&#9670;&nbsp;</a></span>CurrentState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::GameEngine::CurrentState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  GameState *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns state that is currently active. </p>
<dl class="section return"><dt>Returns</dt><dd>GameState* </dd></dl>

</div>
</div>
<a id="a080186cb7aba33d72ffe3591dc076742" name="a080186cb7aba33d72ffe3591dc076742"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a080186cb7aba33d72ffe3591dc076742">&#9670;&nbsp;</a></span>Destroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::Destroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Deinitializes game engine. </p>

</div>
</div>
<a id="a674fec65e7cc736d53b80a62149ccb5a" name="a674fec65e7cc736d53b80a62149ccb5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a674fec65e7cc736d53b80a62149ccb5a">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes game engine. </p>

</div>
</div>
<a id="aabd0a746f0479397458cb025c2b7207d" name="aabd0a746f0479397458cb025c2b7207d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabd0a746f0479397458cb025c2b7207d">&#9670;&nbsp;</a></span>PopState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::PopState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Removes current state. </p>

</div>
</div>
<a id="afa9e36edde0d2dc1f47da6f3ec970468" name="afa9e36edde0d2dc1f47da6f3ec970468"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa9e36edde0d2dc1f47da6f3ec970468">&#9670;&nbsp;</a></span>PreviousState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::GameEngine::PreviousState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  GameState *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns state that was active before currently active state. </p>
<dl class="section return"><dt>Returns</dt><dd>GameState* </dd></dl>

</div>
</div>
<a id="a5876ec21d7676e824973beae3101ed3b" name="a5876ec21d7676e824973beae3101ed3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5876ec21d7676e824973beae3101ed3b">&#9670;&nbsp;</a></span>PushState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::PushState </td>
          <td>(</td>
          <td class="paramtype">GameState *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Pushes state on top of the stack of states and makes it an active state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acc0e937275f5dd88fcd5a45e42e058a5" name="acc0e937275f5dd88fcd5a45e42e058a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc0e937275f5dd88fcd5a45e42e058a5">&#9670;&nbsp;</a></span>Render()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::Render </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname"><em>states</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad88dee00a8684a67020f53e57fa2d126" name="ad88dee00a8684a67020f53e57fa2d126"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad88dee00a8684a67020f53e57fa2d126">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::GameEngine::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/core/<a class="el" href="GameEngine_8hpp_source.html">GameEngine.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
